import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # Sakura Sunrise 2
    list.append(("Mag Science","OmniSpin",{'invertible':True,'radius':1,'range': 99,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Displacement","Omni",{'nose':math.pi,'invertible':False,'range':50,'radius':1,'topspeed':300,'throttle':200,'turn':100,'turnspeed':1.9, 'UseSrimech':1, 'weapons':(0,)}))
    list.append(("Sugar Kicks","Omni",{'nose':math.pi,'range':99,'radius':0,'topspeed':1000,'throttle':1000,'turn':100,'turnspeed':4,'weapons':(0,)}))
    list.append(("Chophouse Chef","OmniMultiZone",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(13,14)}))
    list.append(("Picky","Omni",{'nose':math.pi*2,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(24,)}))
    list.append(("Apogee III","Omni",{'radius':0.1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3.5,'weapons':(50,51)}))
    list.append(("Claymore","TopPusher2",{'ThresholdSpeed':0.5,'BackUpTime':10,'radius':0.2,'topspeed':100,'throttle':100,'turn':40,'turnspeed':4,'weapons':(99,100,111,112)}))
    list.append(("Rapier III","Omni",{'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3.5,'weapons':(8,9)}))
    list.append(("Anthracite","Omni",{'radius':0.1,'range':500,'topspeed':100,'throttle':100,'turn':40,'turnspeed':4.5,'weapons':(33,45,46)}))
    list.append(("Bullbot 2","Rammer",{'invertible':True,'nose':math.pi*1,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(29,30)}))
    list.append(("Infiltrator III","Omni",{'radius':0.1,'topspeed':100,'throttle':130,'turn':60,'turnspeed':3,'weapons':(8,9)}))
    list.append(("Punished Bullbot","Omni",{'nose':math.pi*1,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(77,)}))
    list.append(("Punished Cowbot","Omni",{'nose':math.pi*1,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(22,23,24,25)}))
    list.append(("Shrike","Omni",{'radius':1,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3,'weapons':(25,26)}))
    list.append(("Yoshi 2","Spinner",{'invertible':True,'nose':math.pi*1,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))
    list.append(("RD","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':35,'turnspeed':3.5,'weapons':(0,)}))
    list.append(("Bruised ego","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':1000,'throttle':1000,'turn':50,'turnspeed':2.9,'weapons':(0,)}))
    list.append(("Burn factor","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':1000,'throttle':1000,'turn':50,'turnspeed':3.2,'weapons':(0,)}))
    list.append(("Hydrofluorications.D","TopPusher2",{'nose':math.pi*2,'invertible':False,'ThresholdSpeed':0.02,'BackUpTime':4,'radius':0.1,'topspeed':100,'throttle':100,'turn':65,'turnspeed':3,'weapons':(1,)}))
    list.append(("Intoxifications.T","Judge",{'nose':math.pi*2,'MotorID':39,'StartAngle':-math.pi*0.6,'reload':10,'radius':0.1,'topspeed':1500,'throttle':1500,'turn':50,'turnspeed':4,'weapons':(1,)}))
    list.append(("Neapolitan","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':40,'turnspeed':3.2,'weapons':(0,)}))
    list.append(("Plasma","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':50,'turnspeed':3.1,'weapons':(0,)}))
    list.append(("Polygon Reloations","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.2,'topspeed':150,'throttle':130,'turn':60,'turnspeed':6,'weapons':(1,)}))
    list.append(("Shock factor","Omni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':40,'turnspeed':4.0,'weapons':(0,)}))
    list.append(("Slyvern","InvertOmni",{'nose':math.pi,'invertible':False,'range':500,'radius':1,'topspeed':100,'throttle':100,'turn':50,'turnspeed':2.5,'weapons':(4,),'sweapons':(4,)}))
    list.append(("Speed Demon VII","Omni",{'radius':0.1,'range':500,'topspeed':100,'throttle':100,'turn':60,'turnspeed':2.5,'weapons':(33,45,46)}))
    list.append(("Toxicated Emerations","VertSpinner",{'nose':math.pi*2,'invertible':True,'range':50,'radius':1,'topspeed':100,'throttle':100,'turn':50,'turnspeed':4,'TrollDanceZone':1,'weapons':(0,),'sweapons':(0,)}))
    list.append(("Uranium RSVC","Judge",{'nose':math.pi*2,'MotorID':153,'StartAngle':math.pi*0.6,'reload':10,'radius':0.1,'topspeed':1500,'throttle':1500,'turn':50,'turnspeed':4,'weapons':(1,)}))
    list.append(("12:02","Spinner",{'invertible':True,'nose':math.pi*1,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))
    list.append(("Arnold Crasher","Omni",{'nose':math.pi*1,'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(12,13,14,15,16,17)}))
    list.append(("AD Carry","Omni",{'nose':math.pi*2,'invertible':True,'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(88,89,90,92,93,133,134,135,136)}))
    list.append(("Black Lotus HW","Omni",{'nose':math.pi*1,'invertible':True,'tactic':"Ram",'radius':0.3,'range':100,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90)}))
    list.append(("Brute Force and Ignorance","Rammer",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5}))
    list.append(("E","Rammer",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5}))
    list.append(("Fledgling","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(17,18,19,20)}))
    list.append(("Kibaji Tankobo","SpinupOmni2",{'nose':math.pi*0.5,'invertible':True,'radius':0.3,'range':100,'MotorID':5,'TargetRPM':130,'JamTime':9999,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(7,9,10)}))
    list.append(("CHU2","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':4,'weapons':(13,)}))
    list.append(("Critical Mach IV","Omni",{'radius':0.1,'range':500,'topspeed':100,'throttle':100,'turn':60,'turnspeed':3,'weapons':(33,45,46)}))
    list.append(("Diamond cutter 2","Omni",{'nose':math.pi,'invertible':True,'range':500,'radius':1,'topspeed':100,'throttle':150,'turn':50,'turnspeed':3.2,'weapons':(0,)}))
    list.append(("Dyslapia","Omni",{'nose':math.pi*2,'radius':0.1,'range':100,'topspeed':1000,'throttle':1500,'turn':80,'turnspeed':4.5,'weapons':(1,)}))
    list.append(("E.N.T.V.T.Y", "ENTITY",{'radius': 1, 'topspeed': 1000, 'throttle': 100, 'turn': 60, 'turnspeed': 3.5, 'EnemyMoveRadius': 0.3,'EnemyMoveTime': 1, 'EnemyFlipCooldown': 1, 'SrimechInterval': 1.5, 'FlipBias': 30, 'ReloadTime': 1,'FlipDelay': 0.25, 'FlipLimit': 70, 'flipComp': (54, 55)}))
    list.append(("F-18","LilTurret",{'nose':math.pi*1,'tactic':"Ram",'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':4,'weapons':(67,)}))
    list.append(("Fire Hazard 2","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':1000,'throttle':60,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Gateway","Spinner",{'invertible':True,'nose':math.pi*1,'radius':0.2,'range':100,'topspeed':200,'throttle':200,'turn':60,'turnspeed':2.5,'weapons':(1,2,)}))
    list.append(("Hitstick evo","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':400,'throttle':300,'turn':400,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Ice Pick","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(63,)}))
    list.append(("Juggergnawt","Omni",{'invertible':True,'range':50,'radius':1,'topspeed':150,'throttle':150,'turn':60,'turnspeed':1.6,'weapons':(36,37,)}))
    list.append(("Ixol","VertSpinner",{'nose':math.pi*0.5,'invertible':True,'range':99,'radius':0.1,'topspeed':100,'throttle':130,'turn':80,'turnspeed':1.5,'weapons': (58, 59, 60, 61), 'sweapons': (56,57), 'TrollDanceZone':0.5 }))
    list.append(("Malleus","Rammer",{'nose':math.pi*1.5,'invertible':True,'range':99,'radius':0.3,'topspeed':1900,'throttle':1900,'turn':1220,'turnspeed':3.5,'weapons': ( 12, 13, 14, 15 )}))
    list.append(("Naga 3","Omni",{'nose':math.pi*1,'range':100,'radius':0.2,'topspeed':100,'throttle':130,'turn':60,'turnspeed':2,'weapons':(77,)}))
    list.append(("Nogoodnik III","Omni",{'nose':math.pi*2,'range':99,'radius':0.1,'topspeed':100,'throttle':300,'turn':100,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("Pitstop T","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(91,92,93,94)}))
    list.append(("Ploque","ElectricHammer",{'tactic':"Charge",'ThresholdSpeed':0,'BackUpTime':0,'MotorID':5,'StartAngle':math.pi,'invertible':False,'SwingTime':12, 'radius':0.4,'range':99,'topspeed':100,'throttle':95,'turn':60,'turnspeed':2, 'weapons':(62,)}))
    list.append(("Plunderer's Plight","Omni",{'invertible':True,'range':100,'radius':1,'topspeed':400,'throttle':600,'turn':500,'turnspeed':2.5,'tactic':"Charge",'ThresholdSpeed':0.1,'SightRange':2,'BackUpTime':99,'AimError':0,'weapons':(0,)}))
    list.append(("Schweinehund 2","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(50,51)}))
    list.append(("scorching heart","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5,'weapons':(45,46,67)}))
    list.append(("Sheer Cold","TopPusher2",{'invertible':False,'UseSrimech':1,'radius':1,'range':500,'topspeed':6,'throttle':100,'turn':60,'turnspeed':2.5,'weapons':(0,)}))
    list.append(("SRE","Omni",{'invertible':True,'nose':math.pi*2,'radius':1,'topspeed':6,'topspeed':12,'throttle':200,'turn':100,'turnspeed':3.5,'weapons':(7,)}))
    list.append(("Twopaz","Omni",{'nose':math.pi*1,'tactic':"Ram",'radius':0.3,'range':100,'invertible':True,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(10,11,12,13,14,15,16,17,18,19,20,21,22)}))
    list.append(("Ulipse","InvertOmni2",{'invertible':True,'range':99,'radius':1,'topspeed':100,'throttle':90,'turn':60,'turnspeed':3,'weapons':(13,)}))
    list.append(("Unsainted 3", "Unsainted",{'radius': 1, 'topspeed': 10, 'throttle': 100, 'turn': 30, 'turnspeed': 3.5,'weapons': (12, 13, 14, 15)}))
    list.append(("Where's My Cup Of Tea,Mate?","Omni",{'invertible':True,'nose':math.pi*2,'radius':0.2,'topspeed':150,'throttle':130,'turn':60,'turnspeed':6,'weapons':(1,)}))
    list.append(("WildCat","Omni",{'invertible':False,'range':50,'radius':1,'topspeed':400,'throttle':350,'turn':150,'turnspeed':2,'SrimechInterval':1,'weapons':(0,)}))
    list.append(("/J Entrie","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(32,)}))
    list.append(("Malware","SpinupOmni2",{'nose':math.pi*0.5,'invertible':True,'range':100,'radius':0.3,'MotorID':8,'TargetRPM':115,'JamTime':9999,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(9,10,11)}))
    list.append(("Method","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(46,47,48,49,50,51,52,53,74,75,76,77,78,79,80,81)}))
    list.append(("(CW) Mark","Omni",{'nose':math.pi*1,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(51,52,53)}))
    list.append(("DEEP","SpinupOmni2",{'nose':math.pi*2,'range':100,'radius':0.3,'MotorID':9,'TargetRPM':88,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(11,12,13,14,32,33,34,35,36,37)}))
    list.append(("Next Day Delivery","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(67,)}))
    list.append(("Obliterator","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(14,15,16,49,50,51,52)}))
    list.append(("Smog","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(11,12,13,14,15,16,17,18)}))
    list.append(("Tonitrua","Omni",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(18,19,20,21,22,23,24,25,26)}))
    list.append(("(CW) Big Beefy Bastard","Rammer",{'nose':math.pi*2,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5}))
    list.append(("Hound","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(59,60,61,62)}))
    list.append(("Microburst","Omni",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(14,15,16,17,18,87,88,89,90,91,92,93,94)}))
    list.append(("Revenant 2","Omni",{'nose':math.pi*1,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(51,52,53,54,55,56,57,58,59,60,61)}))
    list.append(("Turbo","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5,'weapons':(11,12,19,20,23,24)}))
    list.append(("Wide Squirtle","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(7,20,21)}))
    list.append(("B81 Evo II","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66)}))
    list.append(("Brabby Batty Becret Bormula B","Omni",{'nose':math.pi*2,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(13,14)}))
    list.append(("Flex Tape Can't Fix That","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(112,113,114)}))
    list.append(("Keith","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(62,63,65,66)}))
    list.append(("Sea Level","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(44,45,46)}))
    list.append(("Voyager","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(50,51,52)}))
    list.append(("Flips and Tricks","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(33,)}))
    list.append(("HNT Shinka Kai-2","Omni",{'nose':math.pi*1,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(47,48)}))
    list.append(("Lil Lizard","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(37,38)}))
    list.append(("Red box","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5,'weapons':(54,55,62,63)}))
    list.append(("Wrecks","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(17,18,19)}))
    list.append(("Yalini ","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(54,55,56)}))
    list.append(("Buckshot","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(41,42,43,44,45,57,58,59,60,61,62)}))
    list.append(("Diamondback","Omni",{'nose':math.pi*1,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(80,)}))
    list.append(("I G O","Omni",{'nose':math.pi*1,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(31,37,38)}))
    list.append(("Techno","Omni",{'nose':math.pi*2,'triggers':["Srimech"],'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(25,29)}))
    list.append(("Wartread","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(22,23,24,25,26,27,28,29)}))
    list.append(("YakBot","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(8,9,10)}))
    list.append(("(CW) Kilo Metallicus","Omni",{'nose':math.pi*2,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(23,24,25)}))
    list.append(("(HW) Mega Metallicus 1.7","Omni",{'nose':math.pi*1,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':40,'turnspeed':3.5,'weapons':(64,65,66)}))
    list.append(("Bone eater","Omni",{'nose':math.pi*1,'invertible':True,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(12,13,14)}))
    list.append(("Cat attack 3","Omni",{'nose':math.pi*1,'invertible':True,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':45,'turnspeed':3.5,'weapons':(52,53,54)}))
    list.append(("Lemon Lime","SpinupOmni2",{'nose':math.pi*1,'range':100,'radius':0.3,'MotorID':15,'TargetRPM':115,'JamTime':9999,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,46,47,48,49,50,51)}))
    list.append(("Mean Red","Omni",{'nose':math.pi*1,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(11,12,13,14,15,23,24,25,26)}))
    list.append(("Grey Box Testing(CW)","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':35,'turnspeed':3.5,'weapons':(101,102,103,104,105,106,107,108,109,110,111,112,113,114)}))
    list.append(("Lethal Injection","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(83,118)}))
    list.append(("Scrapper S3","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':55,'turnspeed':3.5,'weapons':(10,11,12,13,14,15,50,51)}))
    list.append(("Scrapper S3(anti H)","Omni",{'nose':math.pi*2,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(7,8,39,97,103,104,105,106)}))
    list.append(("Spongebot Steelpants(forks)","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(23,24)}))
    list.append(("Spongebot Steelpants(wedge)","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(20,21)}))
    list.append(("Cwuig","Omni",{'nose':math.pi*2,'invertible':True,'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':50,'turnspeed':3.5,'weapons':(8,9,10,16,17)}))
    list.append(("English Navy","Omni",{'nose':math.pi*1,'tactic':"Ram",'range':100,'radius':0.3,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(13,14,15,16,17,18,92,93,94,95,120,121,122,123,124,125,126,127,128,129,130,131)}))
    list.append(("Heartbreaker","Omni",{'invertible':False,'range':99,'radius':1,'topspeed':100,'throttle':100,'turn':100,'turnspeed':2.4,'weapons':(0,)}))
    list.append(("J entrie","SpinupOmni2",{'nose':math.pi*2,'range':100,'radius':0.3,'MotorID':13,'TargetRPM':106,'JamTime':9999,'topspeed':200,'throttle':200,'turn':60,'turnspeed':3.5,'weapons':(15,31,32)}))
    list.append(("Mwerp","Omni",{'nose':math.pi*2,'radius':0.3,'topspeed':200,'throttle':200,'turn':30,'turnspeed':3.5,'weapons':(25,)}))