from __future__ import generators
import plus
import AI
from AI import vector3
import Arenas
import Gooey
import math
import Tactics

  
class LilTurret(AI.SuperAI):
    "Multi-purpose AI for turret bots w/ support for spinners, burst weapons, tactics and srimech intervals."
    name = "LilTurret"
    # Wire the servo for the turret to an analog called Servo, positive axis counter-clockwise, negative axis clockwise.
    # For spinners, wire the motor for the weapon to a button called Spin.
    # For burst weapons, wire the burst to a button called ServoFire and place a smartzone called weapon.
    # To use a tactic other than engage, put 'tactic':[tactic] in your bindings line, [tactic] being the name of the tactic you want to use.  Default is Engage.
    # To put a srimech interval, put 'SrimechInterval':[number] in your bindings line, [number] being the number of seconds you want the AI to wait after firing its srimech to self-right again.  Default is 1 second.
    # If the part of your turret that should face forward isn't placed facing forward by default, put 'servoNose':[number] in your bindings line, [number] being a factor from -1 to 1.
    # Edit of LaserGuidedTH.py by Lilleh__.
    def __init__(self, **args):
        AI.SuperAI.__init__(self, **args)
        self.zone = "weapon"
        self.triggers = ["Fire"]
        self.triggers1 = ["ServoFire"]
        self.mayFire = True
        self.servospeed = 30 # speed of servo motor
        self.armlength = 3 # not used, 
        self.delta = 0.2 #tolerance between full Aim
        self.Motor = 1 
        self.servoNose = 1 # servoNose is a factor from -1 to 1 that take into account the fact that the components attached to the
                           # servo motor are not always attached to its straight heading
        self.spin_range = 100 # used if you mount a spin motor onn your servo motor
        self.servo_range = 100 # use if you want to use the servoFire trigger
        self.goodFunction = self.GoodStuckHandler
        self.srimechtimer = 0
        self.wiggletimer = -8
        self.botinzone = 0
        self.tactic = "Engage"
        self.sritime = 8
        if 'range' in args:
            self.spin_range = args.get('range')
        if 'zone' in args: self.zone = args['zone']
        if 'servospeed' in args: self.servospeed=args['servospeed']
        if 'delta' in args: self.delta=args['delta']
        if 'servorange' in args: self.servo_range=args['servorange']
        if 'mayfire' in args: self.mayFire = args['mayfire']
        if 'servonose' in args: self.servoNose = args['servonose'] 
        if 'tactic' in args: self.tactic = args['tactic']
        if 'SrimechInterval' in args: self.sritime = args['SrimechInterval'] * 8
        # to display the current angle of the servo motor uncomment thoses lines :
        self.debug = False
        AI.SuperAI.debugging = False
        if self.tactic == "Engage": self.tactics.append(Tactics.Engage(self))
        elif self.tactic == "Ram": self.tactics.append(Tactics.Ram(self))
        elif self.tactic == "Charge": self.tactics.append(Tactics.Charge(self))
        elif self.tactic == "Shove": self.tactics.append(Tactics.Shove(self))
        else: self.tactics.append(Tactics.Engage(self))
        
    def Activate(self, active):
        if active:
            if AI.SuperAI.debugging:
                self.debug = Gooey.Plain("watch", 0, 150, 250, 240)
                tbox = self.debug.addText("line0", 0, 0, 250, 15)
                tbox.setText("Throttle")
                tbox = self.debug.addText("line1", 0, 15, 250, 15)
                tbox.setText("Turning")
                tbox = self.debug.addText("line2", 0, 30, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line3", 0, 45, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line4", 0, 60, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line5", 0, 75, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line6", 0, 90, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line7", 0, 105, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line8", 0, 120, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line9", 0, 135, 250, 15)
                tbox.setText("")
                tbox = self.debug.addText("line10", 0, 150, 250, 15)
                tbox.setText("")
            self.RegisterSmartZone(self.zone, 1)
            #define identifier of servo-motor
            goon = 1
            i = 0
            while goon == 1:
                if i  == self.GetNumComponents(): break
                currentType =  self.GetComponentType(i)
                if currentType == "ServoMotor": self.Motor = i
                i = i+ 1
                
        else:
            # get rid of reference to self
            self.goodFunction = None
              
        return AI.SuperAI.Activate(self, active)

    def Tick(self):
        enemy, range = self.GetNearestEnemy()
        targets = [x for x in self.sensors.itervalues() if x.contacts > 0 \
            and not plus.isDefeated(x.robot)]
        # if  spinner in range :  do spin :
        if enemy is not None and range < self.spin_range and self.weapons:
            self.Input("Spin", 0, 1)
        elif self.GetInputStatus("Spin", 0) != 0:
            self.Input("Spin", 0, 0)
                
        if enemy != None :
            # time to move or fire the laser Guided (ser -motor mounted) gun : 
            enemyHead = self.GetHeadingToID(enemy, False)
            selfangle = -self.GetMotorAngle(self.Motor)
            #if self.IsUpsideDown() : selfangle = -selfangle
            Winkel = ( enemyHead + selfangle)
            self.DebugString(5, "winkel : " + str(Winkel))
            self.DebugString(6, "range : " + str(range))
            if self.AimTowards(Winkel):
                # if range <=  range of the mounted gun 
                # LaserGuided gun aim ennemy : par Saint Georges ! Montjoie ! Saint Denis ! pas de quartier !
                if range <= self.servo_range and self.mayFire and self.botinzone == 1 and self.weapons: self.Input("ServoFire", 0, 1)
            
        bReturn = AI.SuperAI.Tick(self)
            
        # call this now so it takes place after other driving commands
        if self.goodFunction: self.goodFunction(len(targets) > 0)
        
        return bReturn
        
    def Aim(self, level):
        
        level = min(max(level, -100), 100)
        self.Input('Servo', 0, level)

        
    def AimTowards(self, heading):
        THRESHOLD = self.delta
        dreh = 0
        
        if heading > math.pi: heading -= 2 * math.pi
        elif heading < -math.pi: heading += 2 * math.pi
        
        if self.srimechtimer < 30 and self.weapons and not self.IsUpsideDown():
            if (heading < -THRESHOLD or heading > THRESHOLD):
                
                dire = -1
                if heading < 0: dire = 1
                
                h = min(abs(heading), 1.75)
                dreh = self.servoNose * dire * (int((h / 1.5) * 100)+20)

                self.Aim(  dreh)
                return False
            else:
                self.Aim(0)
                return True
        
    def InvertHandler(self):
        # fire weapon once per second (until we're upright!)
        while 1:
            self.Input("Servo", 0, -100)
            self.Input("Srimech", 0, 1)
            
            for i in range(0, self.sritime):
                yield 0

    def StuckHandler(self):
        "Do nothing because the GoodStuckHandler function is better."
        while 1:
            for i in range(0, 16):
                yield 0
                
    def GoodStuckHandler(self, bTarget):
        if self.bImmobile:
            self.srimechtimer += 1
            # keep driving in one direction as long as we can
            if self.GetSpeed() > 0.5:
                self.Throttle(100)
            if self.GetSpeed() < -0.5:
                self.Throttle(-100)
            # if we're not moving very fast try wiggling back and forth
            if abs(self.GetSpeed()) <= 0.5:
                self.wiggletimer += 1
                if self.wiggletimer < 0:
                    self.Throttle(100)
                if self.wiggletimer >= 0:
                    self.Throttle(-100)
                if self.wiggletimer >= 8:
                    self.wiggletimer = -8
            # fire everything we have as a last-ditch effort if we're still not free after 5 seconds
            if self.srimechtimer >= 30:
                self.Input("Servo", 0, 100)
                if self.srimechtimer%4 == 0:
                    self.Input("ServoFire", 0, 1)
        else:
            self.srimechtimer = 0
            self.wiggletimer = -8
       
    def LostComponent(self, id):
        # if we lose all our weapons, stop using the Engage tactic and switch to Shove
        if id in self.weapons: self.weapons.remove(id)
        
        if not self.weapons:
            tactic = [x for x in self.tactics if x.name == "Engage"]
            if len(tactic) > 0:
                self.tactics.remove(tactic[0])
                
                self.tactics.append(Tactics.Shove(self))
                self.tactics.append(Tactics.Charge(self))
            
        return AI.SuperAI.LostComponent(self, id)
            
    def DebugString(self, id, string):
        if self.debug:
            if id == 0: self.debug.get("line0").setText(string)
            elif id == 1: self.debug.get("line1").setText(string)
            elif id == 2: self.debug.get("line2").setText(string)
            elif id == 3: self.debug.get("line3").setText(string)
            elif id == 4: self.debug.get("line4").setText(string)
            elif id == 5: self.debug.get("line5").setText(string)
            elif id == 6: self.debug.get("line6").setText(string)
            elif id == 7: self.debug.get("line7").setText(string)
            elif id == 8: self.debug.get("line8").setText(string)
            elif id == 9: self.debug.get("line9").setText(string)
            elif id == 10: self.debug.get("line10").setText(string)

    def SmartZoneEvent(self, direction, id, robot, chassis):
        if id == 1:
            if robot > 0:
                if direction == 1:
                    self.botinzone = 1
                if direction == -1:
                    self.botinzone = 0
        return True
 
AI.register(LilTurret)